Get list of issuers for a settlement on a store
Get list of issuers for a settlement on a store
get/tenants/{tenantUid}/stores/{storeUid}/paymentmethods/{storePaymentMethodUid}/settlementissuers
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+storePaymentMethodUidstringRequiredPattern:
Reference to a store PaymentMethodUid.
^[A-Za-z0-9-_]+Query parameters
pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
sortBystringOptional
Defines which field the resource list is sorted by.
sortDirectionstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
Responses
200
StorePaymentMethodIssuer list response
application/json
get/tenants/{tenantUid}/stores/{storeUid}/paymentmethods/{storePaymentMethodUid}/settlementissuers
GET /v2/tenants/{tenantUid}/stores/{storeUid}/paymentmethods/{storePaymentMethodUid}/settlementissuers HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
StorePaymentMethodIssuer list response
{
"items": [
{
"code": "text",
"ledgerNumber": "text",
"ledgerType": "LEDGER",
"name": "text",
"storeSettlementIssuerUid": "text"
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

